#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int N,Q,b,p1,medp,index,n;
    cin>>N>>Q;
    vector<int> a;
    for(int i=0;i<N;i++){
        cin>>p1;
        a.push_back(p1);
    }
    sort(a.begin(),a.end());
    medp=a[floor(N/2)];
    for(int q=0;q<Q;q++){
        cin>>b;
        if(b==medp){
            cout<<0<<"\n";
        }
        else{
            index=-1;
            if(b>medp){
                for(int i=floor(N/2)+1;i<N;i++){
                    if(b<=a[i]){
                        index=i;
                        break;
                    }
                }
                if(index==-1){
                    index=N;
                }
                cout<<2*index-N<<"\n";
            }
            else{
                for(int i=floor(N/2)-1;i>=0;i--){
                    if(b>=a[i]){
                        index=i+1;
                        break;
                    }
                }
                if(index==-1){
                    index=0;
                }
                cout<<N-2*index+1<<"\n";
            }
        }
    }
    return 0;
}